Project/src/model/User.java
package model;

import java.io.Serializable;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 * @author takano
 *
 */
public class User implements Serializable {
	private int id;
	private String login_id;
	private String name;
	private Date birth_date;
	private String password;
	private String create_date;
	private String update_date;

	// ログインセッションを保存するためのコンストラクタ
	public User(String loginId, String name) {
		this.login_id = loginId;
		this.name = name;
	}

	// 全てのデータをセットするコンストラクタ
	public User(int id, String login_id, String name, Date birth_date, String password, String create_date,
			String update_date) {
		this.id = id;
		this.login_id = login_id;
		this.name = name;
		this.birth_date = birth_date;
		this.password = password;
		this.create_date = create_date;
		this.update_date = update_date;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getLoginId() {
		return login_id;
	}
	public void setLoginId(String login_id) {
		this.login_id = login_id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getBirthDate() {
		return birth_date;
	}
	public void setBirthDate(Date birth_date) {
		this.birth_date = birth_date;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getCreateDate() {
		return create_date;
	}
	public void setCreateDate(String create_date) {
		this.create_date = create_date;
	}
	public String getUpdateDate() {
		return update_date;
	}
	public void setUpdateDate(String update_date) {
		this.update_date = update_date;
	}

	//ユーザ詳細用
	public User(int id,String login_id, String name, Date birth_date,String create_date,
			String update_date) {
		this.id=id;
		this.login_id = login_id;
		this.name = name;
		this.birth_date = birth_date;
		this.create_date = create_date;
		this.update_date = update_date;
	}

	//パスワード暗号化用のbeans
	

}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// ログインセッションがない場合ログイン画面へ
		HttpSession session = request.getSession();
		if (session.getAttribute("userInfo") == null) {

			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}
		//ログインセッションがあればユーザ一覧に遷移

			response.sendRedirect("UserListServlet");



	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		// リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
		UserDao userDao = new UserDao();
		User user = userDao.findByLoginInfo(loginId, password);

		/** テーブルに該当のデータが見つからなかった場合 **/
		if (user == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインに失敗しました。");

			// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/** テーブルに該当のデータが見つかった場合 **/
		// セッションにユーザの情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);

		// ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("UserListServlet");

	}

}

Project/src/controller/NewRegisterServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;

/**
 * Servlet implementation class NewRegisterServlet
 */
@WebServlet("/NewRegisterServlet")
public class NewRegisterServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public NewRegisterServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// ログインセッションがない場合ログイン画面へ
		HttpSession session = request.getSession();
		if (session.getAttribute("userInfo") == null) {

			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newRegister.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		String loginId = request.getParameter("loginId");
		String password = request.getParameter("pass");
		String passwordConfirmation = request.getParameter("passConfirmation");
		String username = request.getParameter("username");
		String birthdate = request.getParameter("birthdate");

		/** 空欄があった場合 **/

		if (loginId.isEmpty() || password.isEmpty() || username.isEmpty() || birthdate.isEmpty()) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "空欄があったため登録に失敗しました。");
			request.setAttribute("errLoginId", loginId);
			request.setAttribute("errUserName", username);
			request.setAttribute("errBirthdate", birthdate);

			// 新規登録にフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newRegister.jsp");
			dispatcher.forward(request, response);
			return;
		} else

		/** パスワードが一致しなかった場合 **/

		if (!(password.equals(passwordConfirmation))) {

			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("passErr", "パスワードが一致しないため登録に失敗しました。");
			request.setAttribute("errLoginId", loginId);
			request.setAttribute("errUserName", username);
			request.setAttribute("errBirthdate", birthdate);

			// 新規登録にフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newRegister.jsp");
			dispatcher.forward(request, response);
			return;
		} else {

			/*
			 * UserDao secretuserDao = new UserDao(); String secretpassword =
			 * secretuserDao.SecretPass(password);
			 */

			UserDao userDao = new UserDao();
			userDao.NewUserRegister(loginId, password, username, birthdate);

			// ユーザ一覧のサーブレットにリダイレクト
			response.sendRedirect("UserListServlet");
		}

	}
}

Project/src/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// ログインセッションがない場合ログイン画面へ
				HttpSession session = request.getSession();
				if (session.getAttribute("userInfo") == null) {

					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
					dispatcher.forward(request, response);
					return;

		}

		String id = request.getParameter("id");

		UserDao userDao = new UserDao();
		User user = userDao.UserDetail(id);

		//System.out.println(id);

		request.setAttribute("UserDelete", user);

		//deleteサーブレットに遷移
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
		dispatcher.forward(request, response);
	}



	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");

		String id = request.getParameter("deleteform");

		//System.out.println(id);

		UserDao userDao = new UserDao();
		userDao.UserDelete(id);



		//ユーザ一覧にリダイレクト
		response.sendRedirect("UserListServlet");

	}
}

Project/src/controller/UserDetailServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public UserDetailServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// ログインセッションがない場合ログイン画面へ
		HttpSession session = request.getSession();
		if (session.getAttribute("userInfo") == null) {

			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}
		// URLからGETパラメータとしてIDを受け取る

		String id = request.getParameter("id");

		// 確認用：idをコンソールに出力
		// System.out.println(id);

		// TODO 未実装：idを引数にして、idに紐づくユーザ情報を出力する
		UserDao userDao = new UserDao();
		User user = userDao.UserDetail(id);

		// TODO 未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
		request.setAttribute("UserDetail", user);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetails.jsp");
		dispatcher.forward(request, response);

	}

}

Project/src/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public UserListServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {


		// ログインセッションがない場合ログイン画面へ
		HttpSession session = request.getSession();
		if (session.getAttribute("userInfo") == null) {

			// ログインサーブレットへリダイレクト
			response.sendRedirect("LoginServlet");
			return;

		}

		// ユーザ一覧情報を取得
		UserDao userDao = new UserDao();
		List<User> userList = userDao.findAll();

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("userlist", userList);

		// ユーザ一覧のjspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userlist.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");

		String loginId = request.getParameter("loginid");
		String username = request.getParameter("username");
		String CalendarMin = request.getParameter("calendarmin");
		String CalendarMax = request.getParameter("calendarmax");

		UserDao userDao = new UserDao();
		List<User> userList = userDao.findSearch(loginId, username, CalendarMin, CalendarMax);

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("userlist", userList);

		// jspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userlist.jsp");
		dispatcher.forward(request, response);
	}

}

Project/src/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public UserUpdateServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// ログインセッションがない場合ログイン画面へ
		HttpSession session = request.getSession();
		if (session.getAttribute("userInfo") == null) {

			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		// URLからGETパラメータとしてIDを受け取る

		String id = request.getParameter("id");

		UserDao userDao = new UserDao();
		User user = userDao.UserDetail(id);

		request.setAttribute("UserUpdate", user);

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");

		String ID = request.getParameter("id");
		String password = request.getParameter("password");
		String passwordConfirmation = request.getParameter("passwordConfirmation");
		String username = request.getParameter("username");
		String birthdate = request.getParameter("birthdate");

		// ユーザーネームまたは誕生日に空欄があった場合
		if (username.isEmpty() || birthdate.isEmpty()) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ユーザー名または生年月日を入力して下さい");
			request.setAttribute("errUserName", username);
			request.setAttribute("errBirthdate", birthdate);

			// ユーザ更新にフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
			dispatcher.forward(request, response);
			return;
		}

		// パスワードが一致しなかった場合

		else if (!(password.equals(passwordConfirmation))) {

			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("passErr", "パスワードが一致しないため更新に失敗しました。");
			request.setAttribute("errUserName", username);
			request.setAttribute("errBirthdate", birthdate);

			// ユーザ更新にフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
			dispatcher.forward(request, response);
			return;
		}

		// パスワードが入力されて合致している場合、パスワードの更新とユーザ名誕生日を更新
		else if ((password.equals(passwordConfirmation)) & !(password.isEmpty()) || !(passwordConfirmation.isEmpty())) {

			// 更新のdaoを実行
			UserDao userDao = new UserDao();
			userDao.UserUpdate(ID, username, birthdate, password);

			// ユーザ一覧にフォワード
			response.sendRedirect("UserListServlet");
		} else
		// パスワードが空でユーザネームと誕生日が入力されている場合
		{
			UserDao userDao = new UserDao();
			userDao.UserUpdatePasswordNull(ID, username, birthdate);

			// ユーザ一覧のサーブレットにリダイレクト
			response.sendRedirect("UserListServlet");
		}

	}
}

Project/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ログイン画面</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="css/login.css" rel="stylesheet">
</head>
<body>

	<h1>ログイン画面</h1>

	<c:if test="${errMsg != null}">
		<div class="alert alert-danger" role="alert">${errMsg}</div>
	</c:if>

	<form class="form-signin" action="LoginServlet" method="post">
		<div align="center">
			<table border="0" cellpadding="15">
				<tr>

					<th>ログインID</th>

					<td><input type="text" name="loginId" size="30"
						placeholder="ログインID"></td>
				</tr>

				<tr>
					<th>パスワード</th>

					<td><input type="password" name="password" size="30"
						placeholder="password"></td>

				</tr>

			</table>
			<button class="btn btn-primary" type="submit">ログイン</button>
	</form>

	</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userDetails.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>


<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザ情報詳細参照</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="css/login.css" rel="stylesheet">
</head>
<body>
	<ul class="nav justify-content-end">
		<li class="nav-item">${userInfo.name}さん　<a class="nav-link active" href="LogoutServlet">ログアウト</a>
		</li>
	</ul>

	<h1>ユーザ情報詳細参照</h1>

	<div align="center">
		<table border="0" cellpadding="15">
			<tr>

				<th>ログインID</th>

				<td>
					${UserDetail.loginId }
				</td>
			</tr>

			<tr>
				<th>ユーザ名</th>

				<td>
					${UserDetail.name }
				</td>

			</tr>

			<tr>
				<th>生年月日</th>

				<td>
					${UserDetail.birthDate }
					</td>

			</tr>


			<tr>
				<th>登録日時</th>

				<td>
					${UserDetail.createDate }
				</td>

			</tr>

			<tr>
				<th>更新日時</th>

				<td>
					${UserDetail.updateDate }
				</td>

			</tr>

			<tr>

				<th><a href="UserListServlet">戻る</a></th>

			</tr>



		</table>
		</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userUpdate.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザ情報更新</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="css/login.css" rel="stylesheet">

</head>
<body>

	<ul class="nav justify-content-end">
		<li class="nav-item">${userInfo.name}さん　<a class="nav-link active" href="LogoutServlet">ログアウト</a>
		</li>
	</ul>


	<form method="post" action="UserUpdateServlet">
		<h1>ユーザ情報更新</h1>

		<c:if test="${errMsg != null}">
			<div class="alert alert-danger" role="alert">${errMsg}</div>
		</c:if>

		<c:if test="${passErr != null}">
			<div class="alert alert-danger" role="alert">${passErr}</div>
		</c:if>

		<table border="0" align="center" cellpadding="15">
			<tr>


		<table border="0" align="center" cellpadding="15">
			<tr>

				<th>ログインID</th>

				<td>${UserUpdate.loginId}</td>
			</tr>

			<tr>
				<th>パスワード</th>

				<td><input type="password" name="password" size="30"
					placeholder="password"></td>

			</tr>

			<tr>
				<th>パスワード(確認)</th>

				<td><input type="password" name="passwordConfirmation" size="30"
					placeholder="password"></td>

			</tr>


			<tr>
				<th>ユーザー名</th>

				<td><input type="text" name="username" size="30" value="${UserUpdate.name}">
				</td>

			</tr>

			<tr>
				<th>生年月日</th>

				<td><input type="date" name="birthdate" max="2050-12-31"
					value="${UserUpdate.birthDate}"></td>
				</tr>

			<tr>
				<th></th>

				<td>
					<button class="btn" type="submit"value="${UserUpdate.id}" name="id">更新</button>
				</td>

			</tr>

			<tr>
				<th><a href="UserListServlet">戻る</a></th>

				<td></td>

			</tr>


		</table>

	</form>


</body>
</html>

Project/WebContent/WEB-INF/jsp/userlist.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザ一覧</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="css/login.css" rel="stylesheet">
</head>
<body>


	<ul class="nav justify-content-end">
		<li class="nav-item">${userInfo.name}さん　<a class="nav-link active"
			href="LogoutServlet">ログアウト</a></li>
	</ul>


	<h1>ユーザー一覧</h1>



	<form method="post" action="UserListServlet">

		<table border="0" align="center" cellpadding="15">
			<tr>

				<th></th>

				<td align="right">

					<p>
						<a href="NewRegisterServlet">新規登録</a>
					</p>
				</td>
			</tr>



			<tr>

				<th>ログインID</th>

				<td><input type="text" name="loginid" size="30"></td>
			</tr>

			<tr>

				<th>ユーザー名</th>

				<td><input type="text" name="username" size="30"></td>
			</tr>


			<tr>
				<th>生年月日</th>

				<td><input type="date" name="calendarmin" max="2019-12-31" min="1990-01-31">～
					<input type="date" name="calendarmax" max="2030-12-31" min="1990-01-31"></td>

			</tr>

		</table>
		<div style="text-align: center">
			<button class="btn btn-primary" type="submit">検索</button>
		</div>

	</form>


	<br>
	<br>


	<table border="1" align="center">
		<tr bgcolor="#c0c0c0">
			<th>ログインID</th>
			<th>ユーザ名</th>
			<th>生年月日</th>
			<th></th>
		</tr>

		<c:forEach var="user" items="${userlist}">
			<tr>
				<td align="left">${user.loginId}</td>
				<td align="left">${user.name}</td>
				<td align="left">${user.birthDate}</td>
				<td align="left"><a class="btn btn-primary"
					href="UserDetailServlet?id=${user.id}">詳細</a>
					<c:if	test="${sessionScope.userInfo.loginId== user.loginId || sessionScope.userInfo.loginId=='admin'}">
						<a class="btn btn-primary" href="UserUpdateServlet?id=${user.id}">更新</a>


					</c:if> <c:if test="${sessionScope.userInfo.loginId =='admin'}">
						<a class="btn btn-primary" href="UserDeleteServlet?id=${user.id}">削除</a>
					</c:if></td>
			</tr>
		</c:forEach>

	</table>
	</body>
</html>